<%@ page contentType="text/html; charset=UTF-8"%><%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<link rel="stylesheet" type="text/css" href="css/ru.bitel.bgbilling.plugins.helpdesk.css"/>
<link rel="stylesheet" type="text/css" href="css/ui-lightness/jquery-ui.css"/>
<script type="text/javascript" src="js/ru.bitel.bgbilling.plugins.helpdesk.js"></script>
<script type="text/javascript">

let helpdeskModule = "ru.bitel.bgbilling.plugins.helpdesk";
let helpdeskQuery = { operation: '', action: 'HelpDesk', module: helpdeskModule, mid: 0, contractId: contractId };
let helpdeskListQuery = { ...helpdeskQuery, date1: '', date2: '' };

showBlock( 'helpdeskRoot', 'topicActiveList', helpdeskListQuery );
showBlock( 'dashboardPaths', 'paths', dashboardQuery );

</script>

<div id="helpdeskRoot"></div>


<div id="topicList" class="report hdBlock" style="display: none"></div>
<div id="helpDeskAddTopic" class="hdBlock" style="display: none"></div>
    
<form id="currentTopicId"><input type="hidden" name="currentTopicId" value="${dataMap['topicId']}"></input></form>

<!-- табы -->
<div class="tabs" style="display: none;">
<!-- 
	<input type="radio" name="hdTabs" id="hdTab1"/><label for="hdTab1" onclick="addHelpDeskTopic()">Новая тема</label>  -->
	<input type="radio" name="hdTabs" id="hdTab2" checked="checked"/><label for="hdTab2" onclick="showBlock( 'helpdeskRoot', 'topicActiveList', helpdeskListQuery );">Активные</label>
	<input type="radio" name="hdTabs" id="hdTab3"/><label for="hdTab3" onclick="showBlock( 'helpdeskRoot', 'topicArchiveList', helpdeskListQuery );">Архив</label> <!-- showTopicTable( 'archive' ) -->
	<input type="radio" name="hdTabs" id="hdTab4"/><label for="hdTab4" onclick="showHelpDeskPackage()" id="helpDeskButtonPackages" style="display: none">Пакеты</label>
</div>


<div id="helpDeskPackage" class="hdBlock" style="display: none">
	<div class="listTitle">Активированные пакеты:</div>
	<div class="report">
	<table>
		<col class="col1" width="50"/>
		<col class="col2" width="150"/>
		<col class="col3" width="100"/>
		<col class="col4" width="180"/>
		<col class="col5" width="80"/>
		<col class="col6"/>
		<thead>
			<tr>
				<td>ID</td>
				<td>Период</td>				
				<td>Стоимость</td>				
				<td>Обращений [использовано]</td>
				<td>Активный</td>
				<td>Активировал</td>
			</tr>
		</thead>
		<tbody/>
	</table>
	</div>
	<div style="margin-top: 10px;">
		<div class="listTitle colorListTitle">Доступные пакеты <span class="memo colorListTitleMemo">(выбранный пакет будет активирован только при наличие на счете суммы большей или равной стоимости пакета)</span>:</div>
		<div id="helpDeskPackageList"></div>
		<div id="helpDeskPackageListItem" style="display: none;" class="listItem">
			<div class="listItemTitle" id="packageItemTitle"></div>
			<div class="listItemParam">
				<span class="n">Период [дней]:</span><span class="v" id="packageItemPeriod"></span>
				<span class="n">Обращений:</span><span class="v" id="packageItemCount"></span>
				<span class="n">Стоимость:</span><span class="v" id="packageItemSumma"></span>
			</div>
		</div>
	</div>
</div>
    