<%@ page contentType="text/html; charset=UTF-8"%><%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<div class="buttons">
	<div class="cursorPointer" onclick="showBlock( 'helpdeskRoot', 'topicActiveList', helpdeskListQuery );"><img title="к списку" src="${contextPath}/img/left.png" height="32"/></div>
<!-- <div><label for="hdTopicFilterCheckbox"><img title="Фильтр тем" src="${contextPath}/img/filter.png" height="32"/></label></div>  -->
</div>

<form>
<div class="tile">
	<div class="titleFont3 titleBottomLine" style="margin-bottom: 20px;">Создать новую тему</div>

	<c:if test="${not empty categoryList}">
		<div class="textFieldLabel mTop10">Категория:</div>
		<div class="textField" id="categoryDiv"><select name="topic.comm.category" onchange="showBlock( 'helpdeskSubcategory', 'topicSubcategory', { ...helpdeskQuery, categoryId: this.value } );"><c:forEach var="item" items="${categoryList}"><option value="${item.id}">${item.title}</option></c:forEach></select></div>
	 </c:if>

	<div id="helpdeskSubcategory"></div>

    <c:if test="${not empty addTextTitle}">
		<div class="textFieldLabel mTop10" id="additionalTextDiv"><span id="topic.additionalTextToSubject.title">${addTextTitle}</span></div>
		<div class="textField"><select name="topic.additionalTextToSubject.values"><c:forEach var="item" items="${addTextValues}"><option value="${item}">${item}</option></c:forEach></select></div>
    </c:if>

	<div class="textFieldLabel mTop10">Название темы:</div>
	<div class="textField"><input type="text" name="topicTitle" placeholder="Введите название темы" /></div>

	<div class="textFieldLabel mTop10">Режим оповещения об ответах:</div>
    <div class="flexRow">
    	<div class="textField" style="flex-grow: 0;">
	    	<select name="topic.comm.mode" onchange="setTopicCommValue( this )">
	    		<c:forEach var="item" items="${commOptions}">
					<c:set var="selected"><c:if test="${item.selected}">selected="selected"</c:if></c:set>
	    			<option value="${item.id}" ${selected} commValue="${item.value}">${item.title }</option>
	    		</c:forEach>
	    	</select> 
    	</div>
    	<div class="textField" style="flex-grow: 1; margin-left: 1rem;"><input type="text" name="topic.comm.value" value="${currentCommValue}"/></div>
	</div>

	<div class="textFieldLabel mTop10">Текст сообщения:</div>
    <div class=""><textarea name="message_body" rows="10" style="" class="messageText"></textarea><br/></div>

	<div id="hdAttach"><script type="text/javascript">showBlock( 'hdAttach', 'uploadFile', { ...helpdeskListQuery, messageUUID: '${messageUUID}' } );</script> </div>

    <div class="formButton"><input type="button" id="buttonSendToNewTopic" value="Отправить" onclick="updateHelpDeskTopic( this.form )" /></div>
</div>
</form>

<form action="webexecuter" method="post">
    <input type="hidden" name="action" value="UpdateTopic" />
    <input type="hidden" name="module" value="ru.bitel.bgbilling.plugins.helpdesk" />
    <input type="hidden" name="mid" value="0" />
    <input type="hidden" name="ct" value="json" />
    <input type="hidden" name="contractId" value="${clientid}" />
</form>
